<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Section extends Model
{
    /**
     * The attribute of database connection bound to the model.
     *
     * @var array
     */
    protected $connection = 'mysql';

    /**
     * Function to link database connection to constructor of model
     * Avec cette fonctionn, on instancie un objet dans une base de donnée qu'on peut utiliser
     *
     * @var array
     */
    public function __construct($connection = 'mysql')
    {
        $this->connection = $connection;
    }

    public function article()
    {
        return $this->belongsTo(Article::class);
    }

    public function paragraphes()
    {
        return $this->hasMany(Paragraphe::class);
    }

    public function images()
    {
        return $this->hasMany(Image::class);
    }
}
